Pulp - Issue #4568

Contributor Installer docs still use pulp/devel

03/25/2019 04:30 PM - amacdona@redhat.com

Status: MODIFIED Start date:

Priority: Normal Due date:

Assignee: amacdona@redhat.com Estimated time: 0:00 hour
Category:

Sprint/Milestone: 3.0

Severity: 2. Medium Sprint Candidate: No
Version: Tags: Dev Environment, Documentation
Platform Release: QA Contact:

Blocks Release: Complexity:

Os: Smash Test:

Backwards No Verified: No
Incompatible:

Triaged: Yes Verification Required: No
Groomed: No Sprint: Sprint 50
Description

"Using Ansible" https://docs.pulpproject.org/en/3.0/nightly/contributing/dev-setup/ansible.html

- remove documentation of roles (pulp/devel)
- just point to ansible-pulp README

"Get the source" https://docs.pulpproject.org/en/3.0/nightly/contributing/dev-setup/source.html

- Needs to include pulp/pulpcore-plugin

- drop pulp/devel

Associated revisions

Revision c97650b9 - 03/27/2019 01:40 PM - amacdona@redhat.com

Remove pulp/devel references from dev install

Most of the dev install docs reference things that are no longer
relevant. Since most of it can be removed, (linking to pulplift and
ansible-pulp), I've consolidated the rest into a single document for

simplicity.

https://pulp.plan.io/issues/4568

fixes #4568

History

#1 - 03/26/2019 03:35 PM - amacdona@redhat.com

- Triaged changed from No to Yes

- Sprint set to Sprint 50

- Tags Dev Environment, Documentation, Pulp 3 added

#2 - 03/27/2019 01:17 PM - amacdona@redhat.com
- Status changed from NEW to ASSIGNED
https://docs.pulpproject.org/en/3.0/nightly/contributing/dev-setup/ansible.html
https://docs.pulpproject.org/en/3.0/nightly/contributing/dev-setup/source.html
https://pulp.plan.io/issues/4568

- Assignee set to amacdona@redhat.com

#3 - 03/27/2019 01:47 PM - amacdona@redhat.com
- Status changed from ASSIGNED to POST

https://github.com/pulp/pulpcore/pull/54

#4 - 03/27/2019 03:12 PM - amacdona@redhat.com
- Status changed from POST to MODIFIED

Applied in changeset pulpcore|c976500985928421e8a8d22a394f12cceeal3c5f.

#5 - 04/25/2019 06:44 PM - daviddavis
- Sprint/Milestone set to 3.0

#6 - 04/26/2019 10:31 PM - bmbouter
- Tags deleted (Pulp 3)
